<?xml version="1.0" encoding="UTF-8"?>
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
  <interactiveMode>false</interactiveMode>

  <servers>
    <server>
      <id>coremedia.external.releases</id>
      <username>{{ vault__coremedia__nexus.username | default('') }}</username>
      <password>{{ vault__coremedia__nexus.password | default('') }}</password>
    </server>
  </servers>

  <pluginGroups>
    <pluginGroup>com.coremedia.maven</pluginGroup>
    <pluginGroup>org.sonatype.plugins</pluginGroup>
  </pluginGroups>
</settings>

{#
<?xml version="1.0" encoding="UTF-8"?>
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
          http://maven.apache.org/xsd/settings-1.0.0.xsd">

  <mirrors>
    <mirror>
      <id>tallence-cm-mirror</id>
      <mirrorOf>*</mirrorOf>
      <name>Mirror of the coremedia repository</name>
      <url>{{ vault__coremedia__build.url }}</url>
    </mirror>
  </mirrors>

  <servers>
    <server>
      <id>tallence-cm-mirror</id>
      <username>{{ vault__coremedia__build.username }}</username>
      <password>{{ vault__coremedia__build.password }}</password>
    </server>
  </servers>

</settings>
#}
